Skip to main content
POST
/
api
/
integrations
/
jira
/
test
Test Jira Settings
curl --request POST \
  --url https://api.example.com/api/integrations/jira/test \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "site_url": "<string>",
  "email": "jsmith@example.com",
  "api_token": "<string>",
  "clear_api_token": true,
  "project_key": "<string>",
  "issue_type": "<string>",
  "labels": null,
  "default_assignee": "<string>",
  "create_issues": true,
  "update_issues_on_resolve": true,
  "sync_status_from_jira": true,
  "sync_comments_from_jira": true,
  "webhook_secret": "<string>",
  "clear_webhook_secret": true
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
enabled
boolean | null
site_url
string | null
email
string<email> | null
api_token
string | null
clear_api_token
boolean | null
project_key
string | null
issue_type
string | null
labels
unknown
default_assignee
string | null
create_issues
boolean | null
update_issues_on_resolve
boolean | null
sync_status_from_jira
boolean | null
sync_comments_from_jira
boolean | null
webhook_secret
string | null
clear_webhook_secret
boolean | null

Response

Successful Response

The response is of type Response Test Jira Settings Api Integrations Jira Test Post · object.